tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Cédrik LIME <cl...@icare-france.com>
Subject Re: Is the JSSE15SocketFactory class missing from the standard tomcat 5.5.12 binary distribution?
Date Fri, 18 Nov 2005 09:16:42 GMT
+1 on building with 1.5 by default, *as long as 
it doesn't preventing tc from running on 1.4* (we 
use tc 5.5 / Java 1.4 in production right now, 
with no sign of switching JDK in the near future).
If it breaks 1.4 compatibility, wait for tc 6.0 to switch compiler version.

How about building Java 5-specific parts of tc in 
a separate jar? Would that solve the problem?
I use this technique in a project of mine 
(shameless plug: <http://messadmin.sf.net> :-)) and it works great.

         Cédrik

At 19:13 17/11/2005 -0800, you wrote:
>Hi,
>Mmm, I'm not sure.  The download page is already somewhat cluttered with a
>bunch of different distributions and their assorted files (zip/tar.gz, PGP and
>MD5 for each, etc.)  I don't want to double the number of binary distributions
>per release.
>
>And I'm even less excited about doing something like retroweaver
>(http://retroweaver.sourceforge.net/) to cross-compile 1.5 source to 1.4
>compatibility.
>
>But perhaps it's time we just start building with J2SE 5.0 by default, instead
>of 1.4?
>
>Yoav
>
>--- Bruce Keats <brucekeats@gmail.com> wrote:
>
> > Is is possible to put 5.0 JSK version up on the downloads site? I can
> > certainly build the missing JSSE components, 
> but I would rather stick with a
> > prebuilt official version.
> >  Bruce
> >
> >  On 11/17/05, Yoav Shapira <yoavs@apache.org> wrote:
> > >
> > > Hi,
> > > Bill is correct.
> > >
> > > I do have both the 1.4 and 5.0 JDKs on my build machine. I wonder if we
> > > should
> > > change the build.xml to build both if both are present, rather than just
> > > one.
> > > Would we have multiple JAVA_HOMEs? Seems dirty...
> > >
> > > Yoav
> > >
> > > --- Bill Barker <wbarker@wilshire.com> wrote:
> > >
> > > > I believe that Yoav creates the binary distro with a 1.4 JVM, so the
> > > > 15SocketFactory is excluded.
> > > >
> > > > You need to compile at least JSSE15*.java. However it's probably easier
> > > > to just build all of j-t-c/util.
[snip] 


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message